Package org.apache.commons.math3.linear

# Class SparseRealVector

java.lang.Object
org.apache.commons.math3.linear.RealVector
org.apache.commons.math3.linear.SparseRealVector

Direct Known Subclasses:
  `OpenMapRealVector`

public abstract class SparseRealVector extends RealVector
Marker class for RealVectors that require sparse backing storage

Caveat: Implementation are allowed to assume that, for any `x`, the equality `x * 0d == 0d` holds. But it is is not true for `NaN`. Moreover, zero entries will lose their sign. Some operations (that involve `NaN` and/or infinities) may thus give incorrect results, like multiplications, divisions or functions mapping.

Since:
  2.0

## Nested Class Summary

## Nested classes/interfaces inherited from class org.apache.commons.math3.linear.RealVector

`RealVector.Entry, RealVector.SparseEntryIterator`

## Constructor Summary

Constructors
Constructor
Description
`SparseRealVector()`

## Method Summary

### Methods inherited from class org.apache.commons.math3.linear.RealVector

`add, addToEntry, append, append, checkIndex, checkIndices, checkVectorDimensions, checkVectorDimensions, combine, combineToSelf, copy, cosine, dotProduct, ebeDivide, ebeMultiply, equals, getDimension, getDistance, getEntry, getL1Distance, getL1Norm, getLInfDistance, getLInfNorm, getMaxIndex, getMaxValue, getMinIndex, getMinValue, getNorm, getSubVector, hashCode, isInfinite, isNaN, iterator, map, mapAdd, mapAddToSelf, mapDivide, mapDivideToSelf, mapMultiply, mapMultiplyToSelf, mapSubtract, mapSubtractToSelf, mapToSelf, outerProduct, projection, set, setEntry, setSubVector, sparseIterator, subtract, toArray, unitize, unitVector, unmodifiableRealVector, walkInDefaultOrder, walkInDefaultOrder, walkInDefaultOrder, walkInDefaultOrder, walkInOptimizedOrder, walkInOptimizedOrder, walkInOptimizedOrder, walkInOptimizedOrder`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SparseRealVector

public SparseRealVector()